# Set cross-selling settings

Use the **setCrossSellSettings** method to customize the way your cross-sell campaigns are displayed in the shopping cart.

## Request parameters

<table><thead><tr><th width="226.800048828125">Parameters</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>displayShortDescription</code></td><td><p><strong>Optional (boolean)</strong></p><p>Determines if the product short description is displayed next to the thumbnail or not.</p></td></tr><tr><td><code>displayProductsMax</code></td><td><p><strong>Optional (int)</strong></p><p>The maximum number of recommended products; We recommend adding a maximum of 3 products as cross-selling options.</p></td></tr><tr><td><code>maxThumbSize</code></td><td><p><strong>Optional (int)</strong></p><p>Maximum product thumbnail size. Must be any of [60, 80, 100, 150].</p></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$jsonRpcRequest = array(

    'jsonrpc' => '2.0',
    'method' => 'setCrossSellSettings',
    'params' => [\
        $sessionID,\
        [\
            'displayProductsMax' => 10,\
            'maxThumbSize' => 100,\
            'displayShortDescription' => false,\
        ]\
    ],
    'id' => $i++
);

callRPC((Object)$jsonRpcRequest, $host);
```

## Response

The response of the **setCrossSellSettings** method is the input object with the settings updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/cross-sell/set-cross-selling-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
